/api/v1/datagrid-columns (POST)
const url = 'https://api.endless.zaia.app/api/v1/datagrid-columns';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"datagridId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","description":"example","detail":{"semanticSearch":true,"type":"string"},"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/datagrid-columns \ --header 'Content-Type: application/json' \ --data '{ "datagridId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "detail": { "semanticSearch": true, "type": "string" }, "name": "example" }'Creates a new datagrid column.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
The datagrid ID associated with the column.
The description of the column. Will be used by the agent to understand how to interact with it.
The display name of the datagrid column.
Responses
Seção intitulada “Responses”The datagrid column was created.
object
A UUID v4 string that identifies an entity.
The datagrid ID associated with the column.
The description of the column. Will be used by the agent to understand how to interact with it.
The display name of the datagrid column.
Example
{ "detail": { "type": "string" }}Invalid datagrid column configuration.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Datagrid not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Precondition failed.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}